# Generated by Django 5.0.6 on 2024-06-13 08:53

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("participation", "0016_tournament_date_first_phase_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="passage",
            name="solution_number",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (1, "Problem #1"),
                    (2, "Problem #2"),
                    (3, "Problem #3"),
                    (4, "Problem #4"),
                    (5, "Problem #5"),
                    (6, "Problem #6"),
                    (7, "Problem #7"),
                    (8, "Problem #8"),
                    (9, "Problem #9"),
                    (10, "Problem #10"),
                ],
                verbose_name="defended solution",
            ),
        ),
        migrations.AlterField(
            model_name="pool",
            name="round",
            field=models.PositiveSmallIntegerField(
                choices=[(1, "Round 1"), (2, "Round 2"), (3, "Round 3")],
                verbose_name="round",
            ),
        ),
        migrations.AlterField(
            model_name="solution",
            name="problem",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (1, "Problem #1"),
                    (2, "Problem #2"),
                    (3, "Problem #3"),
                    (4, "Problem #4"),
                    (5, "Problem #5"),
                    (6, "Problem #6"),
                    (7, "Problem #7"),
                    (8, "Problem #8"),
                    (9, "Problem #9"),
                    (10, "Problem #10"),
                ],
                verbose_name="problem",
            ),
        ),
        migrations.AlterField(
            model_name="team",
            name="trigram",
            field=models.CharField(
                help_text="The code must be composed of 4 uppercase letters.",
                max_length=4,
                unique=True,
                validators=[
                    django.core.validators.RegexValidator("^[A-Z]{3}[A-Z]*$"),
                    django.core.validators.RegexValidator(
                        "^(?!BIT$|CNO$|CRO$|CUL$|FTG$|FCK$|FUC$|FUK$|FYS$|HIV$|IST$|MST$|KKK$|KYS$|SEX$)",
                        message="This team code is forbidden.",
                    ),
                ],
                verbose_name="code",
            ),
        ),
    ]
